Page MenuHomeMiraheze

Cannot save edits on big page.
Closed, DeclinedPublic

Description

Cannot save edits on big page. Getting errors: "Something went wrong Error contacting the Parsoid/RESTBase server (HTTP 500)" and "Error loading data from server: Error contacting the Parsiod/RestBase server: (curl error: 28) Timeout was reached"

Previously, this page was frequently edited with VisualEditor.

What's changed?

Event Timeline

Dmehus claimed this task.
Dmehus triaged this task as Normal priority.
Dmehus subscribed.

@MikeV I was able to delete this for you. This was likely a temporary issue related to system resources. I'm going to close this as resolved as it seems to have been transitory, but SRE can feel free to investigate it as needed.

Unknown Object (User) changed the task status from Resolved to Invalid.Mar 28 2022, 02:24

No SRE action.

Dmehus, I never wanted to delete this page! I never tried to delete it.

Here is what I said: Cannot save edits on big page.

Where did you get the idea that I wanted to delete the page?

You will see that I restored the page and its history. In the history you will see a significant number of edits. Most were done with VisualEditor.

I tested a simple edit again just now. The uploaded file shows what happened:

Simple edit.
Attempted save.
"Something went wrong" error.

I do not need or want anyone to try to make this edit for me. It would be good to be able to make these edits ourselves.

This does not behave like a "transitory" problem. It is pretty repeatable.

Something has changed that has resulted in these repeatable failures.

Perhaps you can copy the contents of this page to a test site and see if you can edit it there. (with VisualEditor). I think it is possible to make and save edits in wikitext but most of our users prefer VisualEditor.

Edit Failure 2022-03-27_23-52-26.png (904×571 px, 69 KB)

In T8993#182125, @MikeV wrote:

Dmehus, I never wanted to delete this page! I never tried to delete it.

Here is what I said: Cannot save edits on big page.

Where did you get the idea that I wanted to delete the page?

You will see that I restored the page and its history. In the history you will see a significant number of edits. Most were done with VisualEditor.

I tested a simple edit again just now. The uploaded file shows what happened:

Simple edit.
Attempted save.
"Something went wrong" error.

I do not need or want anyone to try to make this edit for me. It would be good to be able to make these edits ourselves.

This does not behave like a "transitory" problem. It is pretty repeatable.

Something has changed that has resulted in these repeatable failures.

Perhaps you can copy the contents of this page to a test site and see if you can edit it there. (with VisualEditor). I think it is possible to make and save edits in wikitext but most of our users prefer VisualEditor.

Edit Failure 2022-03-27_23-52-26.png (904×571 px, 69 KB)

@MikeV With apologies, I guess I misread or misinterpreted your original task. Nonetheless, you've undeleted the page, so that's good.

These VisualEditor issues were largely resolved when we moved away from we moved away from Parsoid/RESTbase or something, but they do still tend to crop up frequently. I will say this could be very difficult to diagnose based on the above.

I usually just use the VisualEditor source editor and only get a similar error very infrequently (usually when the servers are strained), if that helps.

Dmehus removed Dmehus as the assignee of this task.Mar 28 2022, 05:01

@MikeV Is this a frequent occurrence or is it rather rare? Just so I can have an idea when I attempt to test it via another test site per your suggestion.

@MikeV Is this a frequent occurrence or is it rather rare? Just so I can have an idea when I attempt to test it via another test site per your suggestion.

All attempts to save edits made with VisualEditor in the last week have failed. I think that is about 10 tries. I don't know when this problem started. The last edits we made with VisualEditor were last year. Thanks for looking at this.

Unknown Object (User) added a comment.EditedMar 28 2022, 17:37

https://ndg.nenawiki.org/w/api.php?action=visualeditor&paction=parse&page=Master_Glossary_v24 even results in "Error contacting the Parsoid/RESTBase server: (curl error: 28) Timeout was reached" every single time I tried. It's not unusual for this error to occur, but it is somewhat unusual to be so consistent.

https://ndg.miraheze.org/w/rest.php/ndg.nenawiki.org/v3/page/html/Master_Glossary_v24 seems to work, albeit slowly though.

Unknown Object (User) added a comment.EditedMar 28 2022, 17:44

Does it work now? I was able to get it to load for me now, after purging page cache.

In T8993#182177, @Universal_Omega wrote:

Does it work now? I was able to get it to load for me now, after purging page cache.

It failed on Edge browser. Then it failed the same way on Chrome.

Then I purged the page cache on Edge to try again, but when I clicked on "Edit" after the now-slow VisualEditor progress bar stopped for awhile, I got this error:
Effor contacting the Parsiod/RESTBase server: (curl error: 28) Timeout was reached.

Unknown Object (User) closed this task as Resolved.Apr 15 2022, 00:29
Unknown Object (User) claimed this task.

This should be fixed, or at the very least, less consistent now.

Unknown Object (User) added a project: Performance.Apr 15 2022, 00:30

I agree that it should be fixed. Unfortunately, it is not. First attempt to save a minor edit failed with the same failure.

Error with Edge browser:

Something went wrong
Error contacting the Parsoid/RESTBase server (HTTP 500)

Error with Firefox browser:

Something went wrong
Error contacting the Parsoid/RESTBase server: (curl error: 28) Timeout was reached

Something seems to be different (slower or less efficient?) in the new infrastructure.

If you cannot fix it and have to close it, at least pick a better reason than "resolved."

Thanks to all who have tried to fix this.

Unknown Object (User) added a comment.Apr 15 2022, 03:32
In T8993#183955, @MikeV wrote:

I agree that it should be fixed. Unfortunately, it is not. First attempt to save a minor edit failed with the same failure.

Error with Edge browser:

Something went wrong
Error contacting the Parsoid/RESTBase server (HTTP 500)

Error with Firefox browser:

Something went wrong
Error contacting the Parsoid/RESTBase server: (curl error: 28) Timeout was reached

Something seems to be different (slower or less efficient?) in the new infrastructure.

If you cannot fix it and have to close it, at least pick a better reason than "resolved."

Thanks to all who have tried to fix this.

The fix I deployed works for me. I'm able to load it now on the pages you mentioned.

Unknown Object (User) added a comment.Apr 15 2022, 03:39

I apologise, what I did is raise the timeout to 30 seconds instead of 15, which allowed VE to actually open on the page, which it wasn't before. But it seems it still does not save. I'm now going to try and up it to 45 seconds and see if that is enough to make it actually be able to save.

The fix I deployed works for me. I'm able to load it now on the pages you mentioned.

Strange, I see no evidence of a successful edit from you in the history...

Please try this.

The first line in the page starts with this:

Done!Our first goal is to make the individual Glossary

Using VisualEditor, add two spaces after Done!, so that it says this:

Done! Our first goal is to make the individual Glossary

Then save it.

This is our test site, so don't worry about the edit. But I will be surprised if you can save it.

Unknown Object (User) added a comment.Apr 15 2022, 04:04

Unfortunately 45 seconds doesn't seem to work either. I'm afraid if we raise it to much more we'd end up causing even more issues. I'm willing to try and raise it to 60 seconds, but there's no guarantee we won't have to lower it again later. If that doesn't work, then unfortunately not much more can be done here.

Unknown Object (User) closed this task as Declined.Apr 15 2022, 04:40

Unfortunately that did not still seem to work. Because of this I'm afraid there is not much more we can do. Our resources are limited, and we are increasingly growing, receiving more traffic, and more load, resulting in these errors becoming more prominent. Because of that, there is not much more that can be done here. I apologise for the inconvenience.

Thanks again for trying to fix this.

It is reasonable to assume that there are limits to usable page capacities and that those limits may vary with the host's resources.

We want to avoid problems like this in the future. Quick searches did not reveal guidelines for how large pages may be and still be functional so I conducted some very limited testing today on our ndg.nenawiki.org site and found a few surprises.

  • Pages that consist of one large table that are 426,000 bytes CANNOT be edited and saved using VisualEditor. They CAN be edited and saved using "Edit source".
  • Pages that consist of one large table that are 318,000 bytes CAN be edited and saved using VisualEditor.
  • Pages that do not have one large table and that are greater than 550,000 bytes CAN be edited and saved using VisualEditor.

So, based on these limited results, it appears your current Miraheze environment does not support pages containing large (~ 400,000 bytes?) tables. This limitation was not seen last year when we successfully edited pages with tables larger than 500,000 bytes.

Please let us know if you characterize capacity limitations in your system.

There's no explicit limit. It's very hard to give exact number as there can be a lot of variables.

Unknown Object (User) added a comment.Apr 15 2022, 16:03

This limitation was not seen last year when we successfully edited pages with tables larger than 500,000 bytes.

We apologise for that as well, but as our traffic increases, we have had to make some changes to resource limitations.

But the large pages can still be edited, just not by using the VisualEditor, and it should still work for editing individual sections, I'd assume.

I appreciate your understanding in the matter.

Again, apologies for the inconvenience.